Name:		scribus
Version:	1.5.5
Release:	1%{?dist}
Summary:	Open Source Page Layout
License:	GPLv2+
URL:		http://www.scribus.net/
Source0:	https://versaweb.dl.sourceforge.net/project/%{name}/%{name}-devel/%{version}/%{name}-%{version}.tar.xz
#Source0:	http://downloads.sourceforge.net/%%{name}/%%{name}-%%{version}.tar.xz
#Source1:	http://downloads.sourceforge.net/%%{name}/%%{name}-%%{version}.tar.xz.asc
#Source2:	scribus.png
Source1:	%{name}-icon24.png
Source2:	%{name}-icon32.png
Source3:	%{name}-icon64.png
Source4:	%{name}-icon128.png
Source5:	%{name}-icon256.png

BuildRequires:	boost-devel
BuildRequires:	cairo-devel
BuildRequires:	cmake
BuildRequires:	cups-devel
BuildRequires:	desktop-file-utils
BuildRequires:	fontconfig-devel
BuildRequires:	freetype-devel
BuildRequires:	ghostscript
BuildRequires:	gnutls-devel
BuildRequires:	GraphicsMagick-devel
BuildRequires:	GraphicsMagick-c++-devel
BuildRequires:	harfbuzz-devel
BuildRequires:	hyphen-devel
BuildRequires:	hunspell-devel
BuildRequires:	lcms2-devel
BuildRequires:	libappstream-glib
BuildRequires:	libcdr-devel
BuildRequires:	libfreehand-devel
BuildRequires:	libicu-devel
BuildRequires:	libjpeg-turbo-devel
BuildRequires:	libmspub-devel
BuildRequires:	libpagemaker-devel
BuildRequires:	libpng-devel
BuildRequires:	librevenge-devel
BuildRequires:	libtiff-devel
BuildRequires:	libvisio-devel
BuildRequires:	libwpd-devel
BuildRequires:	libwpg-devel
BuildRequires:	libxml2-devel
BuildRequires:	OpenSceneGraph-devel
BuildRequires:	openssl-devel
BuildRequires:	podofo-devel
BuildRequires:	poppler-cpp-devel
BuildRequires:	poppler-data-devel
BuildRequires:	poppler-devel
BuildRequires:	python-devel
%if 0%{?fedora} > 24
BuildRequires:	python2-pillow-devel
BuildRequires:	python3-pillow-devel
%else
BuildRequires:	python-pillow-devel
%endif
BuildRequires:	python-qt5-devel
Requires:	qt5-qtbase-gui
BuildRequires:	qt5-qtbase-devel
BuildRequires:	qt5-qtdeclarative-devel
BuildRequires:	qt5-qttools-devel
BuildRequires:	qt5-qtwebkit-devel
BuildRequires:	tk-devel
%if 0%{?fedora} < 31
BuildRequires:	tkinter
%endif
BuildRequires:	zlib-devel



%if 0%{?fedora} >= 23 || 0%{?rhel} > 7
Supplements:	%{name}-doc = %{version}-%{release}
%else
Requires:	%{name}-doc = %{version}-%{release}
%endif

%filter_provides_in %{_libdir}/%{name}/plugins
%filter_setup


%description
Scribus is an desktop open source page layout program with
the aim of producing commercial grade output in PDF and
Postscript, primarily, though not exclusively for Linux.

While the goals of the program are for ease of use and simple easy to
understand tools, Scribus offers support for professional publishing
features, such as CMYK color, easy PDF creation, Encapsulated Postscript
import/export and creation of color separations.

%package        devel
Summary:        Header files for Scribus
Requires:       %{name} = %{version}-%{release}

%description    devel
#Header files for Scribus.

%package        doc
Summary:        Documentation files for Scribus
Requires:       %{name} = %{version}-%{release}
%if 0%{?fedora} > 9
BuildArch:      noarch
Obsoletes:      %{name}-doc < 1.3.5-0.12.beta
%endif

%description    doc
%{summary}

%prep
%autosetup -n %{name}-%{version}

# fix permissions
chmod a-x scribus/pageitem_latexframe.h

# drop shebang lines from python scripts
for f in scribus/plugins/scriptplugin/{samples,scripts}/*.py
do
    sed '1{/#!\/usr\/bin\/env\|#!\/usr\/bin\/python/d}' $f > $f.new
    touch -r $f $f.new
    mv $f.new $f
done

%build
mkdir build
pushd build
%cmake  -DWANT_CCACHE=YES \
	-DWANT_DISTROBUILD=YES \
	-DWANT_GRAPHICSMAGICK=1 \
	-DWANT_HUNSPELL=1 \
%ifarch x86_64 || aarch64 
	-DWANT_LIB64=YES \
%endif
	-DWANT_NORPATH=1 \
	-DWANT_VERSIONING=YES \
	-DWANT_CPP11=1 \
	-DWITH_BOOST=1 \
	-DWITH_PODOFO=1 ..

%make_build VERBOSE=1
popd

%install
pushd build
%make_install
popd

find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'

# install hi-res icons for better appearance on gnome-shell
install -D -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/icons/hicolor/24x24/apps/%{name}-%{version}.png
install -D -m 0644 %{SOURCE2} %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/%{name}-%{version}.png
install -D -m 0644 %{SOURCE3} %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/%{name}-%{version}.png
install -D -m 0644 %{SOURCE4} %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/%{name}-%{version}.png
install -D -m 0644 %{SOURCE5} %{buildroot}%{_datadir}/icons/hicolor/256x256/apps/%{name}-%{version}.png

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}-%{version}.desktop
appstream-util validate-relax --nonet \
	%{buildroot}/%{_datadir}/metainfo/%{name}-%{version}.appdata.xml

%post
touch --no-create %{_datadir}/mime/packages &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
touch --no-create %{_datadir}/mime/packages &> /dev/null || :
update-desktop-database &> /dev/null || :
update-mime-database %{?fedora:-n} %{_datadir}/mime &> /dev/null || :
fi

%posttrans
update-desktop-database &> /dev/null || :
update-mime-database %{?fedora:-n} %{_datadir}/mime &> /dev/null || :

%files
%doc %{_defaultdocdir}/%{name}-%{version}/AUTHORS
%doc %{_defaultdocdir}/%{name}-%{version}/ChangeLog
%doc %{_defaultdocdir}/%{name}-%{version}/COPYING
%doc %{_defaultdocdir}/%{name}-%{version}/README
%{_bindir}/%{name}-%{version}
%{_libdir}/%{name}-%{version}/
%{_datadir}/metainfo/%{name}-%{version}.appdata.xml
%{_datadir}/applications/%{name}-%{version}.desktop
%{_datadir}/mime/packages/%{name}-%{version}.xml
%{_datadir}/icons/hicolor/16x16/apps/%{name}-%{version}.png
%{_datadir}/icons/hicolor/24x24/apps/%{name}-%{version}.png
%{_datadir}/icons/hicolor/32x32/apps/%{name}-%{version}.png
%{_datadir}/icons/hicolor/64x64/apps/%{name}-%{version}.png
%{_datadir}/icons/hicolor/128x128/apps/%{name}-%{version}.png
%{_datadir}/icons/hicolor/256x256/apps/%{name}-%{version}.png
%{_datadir}/icons/hicolor/512x512/apps/%{name}-%{version}.png
%{_datadir}/icons/hicolor/1024x1024/apps/%{name}-%{version}.png
%{_datadir}/%{name}-%{version}/
%exclude %{_datadir}/%{name}-%{version}/samples/*.py[co]
%exclude %{_datadir}/%{name}-%{version}/scripts/*.py[co]
%{_mandir}/man1/*
%{_mandir}/pl/man1/*
%{_mandir}/de/man1/*

%files devel
%doc AUTHORS COPYING

%files doc
%dir %{_defaultdocdir}/%{name}-%{version}
%lang(de) %{_defaultdocdir}/%{name}-%{version}/de
%lang(en) %{_defaultdocdir}/%{name}-%{version}/en
%lang(it) %{_defaultdocdir}/%{name}-%{version}/it
%{_defaultdocdir}/%{name}-%{version}/README*
%{_defaultdocdir}/%{name}-%{version}/LINKS
%{_defaultdocdir}/%{name}-%{version}/TRANSLATION

%changelog
* Sun Aug 04 2019 Luya Tshimbalanga <luya_tfz@thefinalzone.net> - 1.5.5-1
- Update to 1.5.5

* Sat Dec 08 2018 Luya Tshimbalanga <luya_tfz@thefinalzone.net> - 1.5.4-2
- Rebuild to fix podofo

* Sun Apr 29 2018 Luya Tshimbalanga <luya_tfz@thefinalzone.net> - 1.5.4-1
- Update to 1.5.4

* Sun Feb 25 2018 Luya Tshimbalanga <luya_tfz@thefinalzone.net> - 1.5.3-2
- Cleaned up spec file

* Thu Jun 01 2017 Luya Tshimbalanga <luya_tfz@thefinalzone.net> - 1.5.3-1
- 1.5.3 release
